#include<stdio.h>

int main(){
  
  int n, i, j;
  scanf("%d", &n);
 int k=n;
 if(n<=0){
   printf("-1");
   return 0;
 }
  for(i=1;i<=n;i++){
    for(j=1;j<=i-1;j++)
      printf(" ");
    for(j=1;j<=k;j++)
      printf("*-");
    printf("\n");
    k--;
    
    
  }
  return 0;
}
